zenilib: zenilib/jni/external/glew/auto/src/glewinfo_head.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
glewinfo_head.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <GL/glew.h>`
`#include <GL/glxew.h>`

Go to the source code of this file.

## Functions

GLboolean | glewCreateContext (const char *display, int *visual)
void | glewDestroyContext ()
static void | glewInfoFunc (const char *name, GLint undefined)
GLboolean | glewParseArgs (int argc, char **argv, char **display, int *visual)
static void | glewPrintExt (const char *name, GLboolean def1, GLboolean def2, GLboolean def3)

## Variables

static FILE * | f

## Function Documentation

GLboolean glewCreateContext | ( | const char * | display,
|  | int * | visual
| ) |  |

Definition at line 10625 of file glewinfo.c.

References cmap, GL_FALSE, GL_TRUE, GLX_DOUBLEBUFFER, GLX_RGBA, glXChooseVisual, glXCreateContext, glXMakeCurrent, glXQueryExtension, i, int, NULL, and XOpenDisplay.

Referenced by main().

void glewDestroyContext | ( |  | ) |

Definition at line 10669 of file glewinfo.c.

References glXDestroyContext, NULL, XCloseDisplay, and XDestroyWindow.

Referenced by main().

static void glewInfoFunc | ( | const char * | name,
|  | GLint | undefined
| ) |  |

static

Definition at line 62 of file glewinfo_head.c.

References i.

GLboolean glewParseArgs | ( | int | argc,
|  | char ** | argv,
|  | char ** | display,
|  | int * | visual
| ) |  |

Definition at line 10491 of file glewinfo.c.

References GL_FALSE, GL_TRUE, int, and NULL.

Referenced by main().

static void glewPrintExt | ( | const char * | name,
|  | GLboolean | def1,
|  | GLboolean | def2,
|  | GLboolean | def3
| ) |  |

static

Definition at line 45 of file glewinfo_head.c.

References i.

## Variable Documentation

FILE* f

static

Definition at line 15 of file glewinfo_head.c.